# Copyright 2021 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON+FP16ARITH
- name: xnn_f32_f16_vcvt_ukernel__neon_x8
  init: xnn_init_f32_f16_cvt_neon_params
- name: xnn_f32_f16_vcvt_ukernel__neon_x16
  init: xnn_init_f32_f16_cvt_neon_params
- name: xnn_f32_f16_vcvt_ukernel__neon_x24
  init: xnn_init_f32_f16_cvt_neon_params
- name: xnn_f32_f16_vcvt_ukernel__neon_x32
  init: xnn_init_f32_f16_cvt_neon_params
- name: xnn_f32_f16_vcvt_ukernel__neonfp16_x8
- name: xnn_f32_f16_vcvt_ukernel__neonfp16_x16
# x86 SSE
- name: xnn_f32_f16_vcvt_ukernel__sse2_x8
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse2_x16
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse2_x24
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse2_x32
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse41_x8
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse41_x16
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse41_x24
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__sse41_x32
  init: xnn_init_f32_f16_cvt_sse2_params
# x86 AVX
- name: xnn_f32_f16_vcvt_ukernel__avx_x8
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__avx_x16
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__avx_x24
  init: xnn_init_f32_f16_cvt_sse2_params
- name: xnn_f32_f16_vcvt_ukernel__avx_x32
  init: xnn_init_f32_f16_cvt_sse2_params
# x86 F16C
- name: xnn_f32_f16_vcvt_ukernel__f16c_x8
  init: xnn_init_f32_f16_cvt_f16c_params
- name: xnn_f32_f16_vcvt_ukernel__f16c_x16
  init: xnn_init_f32_f16_cvt_f16c_params
# x86 AVX512
- name: xnn_f32_f16_vcvt_ukernel__avx512skx_x16
- name: xnn_f32_f16_vcvt_ukernel__avx512skx_x32
# WAsm SIMD
- name: xnn_f32_f16_vcvt_ukernel__wasmsimd_x8
  init: xnn_init_f32_f16_cvt_wasmsimd_params
- name: xnn_f32_f16_vcvt_ukernel__wasmsimd_x16
  init: xnn_init_f32_f16_cvt_wasmsimd_params
- name: xnn_f32_f16_vcvt_ukernel__wasmsimd_x24
  init: xnn_init_f32_f16_cvt_wasmsimd_params
- name: xnn_f32_f16_vcvt_ukernel__wasmsimd_x32
  init: xnn_init_f32_f16_cvt_wasmsimd_params
# Scalar
- name: xnn_f32_f16_vcvt_ukernel__scalar_bitcast_x1
  init: xnn_init_f32_f16_cvt_scalar_bitcast_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_bitcast_x2
  init: xnn_init_f32_f16_cvt_scalar_bitcast_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_bitcast_x3
  init: xnn_init_f32_f16_cvt_scalar_bitcast_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_bitcast_x4
  init: xnn_init_f32_f16_cvt_scalar_bitcast_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_fabsf_x1
  init: xnn_init_f32_f16_cvt_scalar_fabsf_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_fabsf_x2
  init: xnn_init_f32_f16_cvt_scalar_fabsf_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_fabsf_x3
  init: xnn_init_f32_f16_cvt_scalar_fabsf_params
- name: xnn_f32_f16_vcvt_ukernel__scalar_fabsf_x4
  init: xnn_init_f32_f16_cvt_scalar_fabsf_params
